Subject: Ticket Assigned - Feedback or suggestions
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Tue, 06 Jul 2021 06:41:47 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions Before 2 days I buy online face mask and sunglass store pic up from Amir sulthan branch  jeddah ksa 

When I open the shipment  The sunglass  didn't get what I order and damaged piace also I received ... Then I request return but no one contact me  .. then I return back to amir sulthan branch .. cashier     He said I had damaged it  ... What kind of  customer service ?  You give  the wrong item and it was damaged ...  And then that fult put in customer Head ?   Very bad experience first time from centre point https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2797792